package cn.com.poc.agent_application.domain;

/**
 * agent应用基础信息
 */
public class AgentApplicationBaseInfo {

    /**
     * member_id
     * 创建应用的用户ID
     */
    private java.lang.Integer memberId;

    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * agent_id
     * agent应用ID
     */
    private java.lang.String agentId;

    public java.lang.String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(java.lang.String agentId) {
        this.agentId = agentId;
    }

    /**
     * agent_title
     * 应用标题
     */
    private java.lang.String agentTitle;

    public java.lang.String getAgentTitle() {
        return this.agentTitle;
    }

    public void setAgentTitle(java.lang.String agentTitle) {
        this.agentTitle = agentTitle;
    }


    /**
     * agent_avatar
     * 应用头像URL
     */
    private java.lang.String agentAvatar;

    public java.lang.String getAgentAvatar() {
        return this.agentAvatar;
    }

    public void setAgentAvatar(java.lang.String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    /**
     * agent_desc
     * 应用描述
     */
    private java.lang.String agentDesc;

    public java.lang.String getAgentDesc() {
        return this.agentDesc;
    }

    public void setAgentDesc(java.lang.String agentDesc) {
        this.agentDesc = agentDesc;
    }

    /**
     * agent_system
     * 角色指令
     */
    private java.lang.String agentSystem;

    public java.lang.String getAgentSystem() {
        return this.agentSystem;
    }

    public void setAgentSystem(java.lang.String agentSystem) {
        this.agentSystem = agentSystem;
    }

    /**
     * agent_publish_status
     * 应用发布状态    草稿-draft   发布-publish
     */
    private java.lang.String agentPublishStatus;

    public java.lang.String getAgentPublishStatus() {
        return this.agentPublishStatus;
    }

    public void setAgentPublishStatus(java.lang.String agentPublishStatus) {
        this.agentPublishStatus = agentPublishStatus;
    }

    /** publish_time
     *发布时间
     */
    private java.util.Date publishTime;

    public java.util.Date getPublishTime(){
        return this.publishTime;
    }

    public void setPublishTime(java.util.Date publishTime){
        this.publishTime = publishTime;
    }
}
